> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# reasonstalled

> GenericMDOProvider reads MDO lists with default settings

## "reasonstalled" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'reasonstalled'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/reasonstalled
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("reasonstalled", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                    | StyleHint | ExtraInfo |
| -- | ----------------------- | --------- | --------- |
| 2  | Internal politics       |           |           |
| 5  | Internal review process |           |           |
| 6  | Lack of interest        |           |           |
| 3  | Power sponsor left      |           |           |
| 4  | Power vacuum            |           |           |
| 1  | Price                   |           |           |

## Related MDO Lists

* "reasonstalledheadings"
* "reasonstalledheadingswithallitem"
* "reasonstalledheadingswithallitemwithnoselection"
* "reasonstalledheadingswithnoselection"
* "reasonstalledwithallitem"
* "reasonstalledwithallitemwithnoselection"
* "reasonstalledwithnoselection"


## Related topics

- [ReasonStalled table](/en/database/tables/reasonstalled.md)
- [SuperOffice.WebApi.Data.ReasonStalled](/en/api/reference/webapi/SuperOffice.WebApi.Data.ReasonStalled.md)
- [ReasonStalledGroupLink table](/en/database/tables/reasonstalledgrouplink.md)
- [ReasonStalledHeadingLink table](/en/database/tables/reasonstalledheadinglink.md)
- [SuperOffice.WebApi.Data.SaleEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.SaleEntity.md)
- [Delete Reason Stalled](/en/api/reference/restful/rest/list_reasonstalled/delete-reason-stalled.md)
